TTF_RenderGlyph_Solid(3)

NAME
TTF_RenderGlyph_Solid - Render a single 32-bit glyph at fast quality to a new 8-bit surface.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

SDL_Surface * TTF_RenderGlyph_Solid(TTF_Font *font, Uint32 ch, SDL_Color fg);

DESCRIPTION
This function will allocate a new 8-bit, palettized surface. The surface's 0 pixel will be the colorkey, giving a transparent background. The 1 pixel will be set to the text color.

The glyph is rendered without any padding or centering in the X direction, and aligned normally in the Y direction.

You can render at other quality levels with

TTF_RenderGlyph_Shaded ,

TTF_RenderGlyph_Blended , and

TTF_RenderGlyph_LCD .

FUNCTION PARAMETERS

font
    the font to render with.

ch  the character to render.

fg  the foreground color for the text.

RETURN VALUE
Returns a new 8-bit, palettized surface, or NULL if there was an error.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_RenderGlyph_Blended(3), •(3), TTF_RenderGlyph_LCD(3), •(3), TTF_RenderGlyph_Shaded(3)